Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TieVersionDescription

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_VersionDescription

                                    |

                                    +--oracle.ifs.server.S_TieVersionDescription

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

public class S_TieVersionDescription
extends S_VersionDescription

S_TieVersionDescription allows the Oracle-defined behavior of the VERSIONDESCRIPTION classobject (and its subclasses) to be extended or overridden through the server extensibility API.

See Also:
  `S_VersionDescription`

Constructor Summary
`protected` | `S_TieVersionDescription(S_LibrarySession session, java.lang.Long classId)` Constructs an S_TieVersionDescription for a new VERSIONDESCRIPTION.
`protected` | `S_TieVersionDescription(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_TieVersionDescription for an existing VERSIONDESCRIPTION.

Methods inherited from class oracle.ifs.server.S_VersionDescription
`extendedPreInsert, extendedPreUpdate`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, deriveDefinition, extendedPreFree, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, isVersionable, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_TieVersionDescription

    protected S_TieVersionDescription(S_LibrarySession session,
                                      S_LibraryObjectData data)
                               throws IfsException

  Constructs an S_TieVersionDescription for an existing VERSIONDESCRIPTION.
  Parameters:
    `session` - the session
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

### S_TieVersionDescription

    protected S_TieVersionDescription(S_LibrarySession session,
                                      java.lang.Long classId)
                               throws IfsException

  Constructs an S_TieVersionDescription for a new VERSIONDESCRIPTION.
  Parameters:
    `session` - the session
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD